Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface Customer

All Superinterfaces
  ConfigurableEntity, com.beasys.commerce.axiom.contact.Contact, CustomerDelegate, javax.ejb.EJBObject, Remote, RemoteRelationalReference

Deprecated

    @Deprecated
    public interface Customer

extends CustomerDelegate, ConfigurableEntity, javax.ejb.EJBObject

Stores the information required to do business with a customer. It inherits most attributes from the Contact object and adds the ability to authenticate and to bill for products via a credit card.

Field Summary

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary

Methods inherited from interface com.beasys.commerce.ebusiness.customer.CustomerDelegate
`clearCreditCardsMap, clearShippingAddressMap, creditCardsMapContainsKey, creditCardsMapContainsValue, creditCardsMapEntrySet, creditCardsMapHashCode, creditCardsMapKeySet, creditCardsMapSize, creditCardsMapValues, equalsCreditCardsMap, equalsShippingAddressMap, getCreditCards, getCreditCardsMap, getCustomerByValue, getCustomerType, getDefaultShippingAddressCity, getDefaultShippingAddressCountry, getDefaultShippingAddressCounty, getDefaultShippingAddressDescription, getDefaultShippingAddressGeoCode, getDefaultShippingAddressPoBox, getDefaultShippingAddressPostalCode, getDefaultShippingAddressPostalCodeType, getDefaultShippingAddressState, getDefaultShippingAddressStreet1, getDefaultShippingAddressStreet2, getIdentifier, getShippingAddress, getShippingAddressMap, isCreditCardsMapEmpty, isShippingAddressMapEmpty, putCreditCards, putCreditCardsMap, putShippingAddress, putShippingAddressMap, removeCreditCards, removeShippingAddress, setCreditCardsMap, setCustomerByValue, setCustomerType, setDefaultShippingAddressCity, setDefaultShippingAddressCountry, setDefaultShippingAddressCounty, setDefaultShippingAddressGeoCode, setDefaultShippingAddressPoBox, setDefaultShippingAddressPostalCode, setDefaultShippingAddressPostalCodeType, setDefaultShippingAddressState, setDefaultShippingAddressStreet1, setDefaultShippingAddressStreet2, setDefaultShippingDescription, setShippingAddressMap, shippingAddressMapContainsKey, shippingAddressMapContainsValue, shippingAddressMapEntrySet, shippingAddressMapHashCode, shippingAddressMapKeySet, shippingAddressMapSize, shippingAddressMapValues`

Methods inherited from interface com.beasys.commerce.axiom.contact.Contact
`getBusinessPhone, getContactAddress, getContactAddressCity, getContactAddressCountry, getContactAddressCounty, getContactAddressGeoCode, getContactAddressPoBox, getContactAddressPostalCode, getContactAddressPostalCodeType, getContactAddressState, getContactAddressStreet1, getContactAddressStreet2, getContactByValue, getEmail, getFax, getFirstName, getHomePhone, getLastName, getMiddleName, getSuffix, getTitle, setBusinessPhone, setContactAddress, setContactAddressCity, setContactAddressCountry, setContactAddressCounty, setContactAddressGeoCode, setContactAddressPoBox, setContactAddressPostalCode, setContactAddressPostalCodeType, setContactAddressState, setContactAddressStreet1, setContactAddressStreet2, setContactByValue, setEmail, setFax, setFirstName, setHomePhone, setLastName, setMiddleName, setSuffix, setTitle`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.